Update profile
Relevant webhooks
For this endpoint be sure you have registered for this webhook:
API reference
Updates the Profile section of the customer record. The profile includes customer banking-relevant information.
Endpoint: /core/v1/cm/customers/{id}/profile
PUT
https://sandbox.crbcos.com/core/v1/cm/customers/{id}/profile
Path Parameters
- idstringrequiredDescription
Body Parameters
- regObooleanrequiredDescription
- citizenshipCountryCodestringDescription
- politicallyExposedPersonbooleanDescription
- enableBackupWithholdingbooleanDescription
- backupWithholdingPercentnumberDescription
- taxIdTypestringrequiredDescription
- taxIdstringrequiredDescription
- birthDatestringDescription
- dateFormedstringDescription
- entityTypestringDescription
- riskRatingstringrequiredDescription
- ownershipTypestringDescription
- primaryOwnerCustomerIdstringDescription
- parentEntityIdstringDescription
- dateOfDeathstringDescription
- privacyOptOutbooleanDescription
Response
- regObooleanDescription
- citizenshipCountryCodestringDescription
- politicallyExposedPersonbooleanDescription
- enableBackupWithholdingbooleanDescription
- backupWithholdingPercentnumberDescription
- taxIdTypestringDescription
- taxIdstringDescription
- birthDatestringDescription
- dateFormedstringDescription
- entityTypestringDescription
- riskRatingstringDescription
- ownershipTypestringDescription
- primaryOwnerCustomerIdstringDescription
- parentEntityIdstringDescription
- dateOfDeathstringDescription
- privacyOptOutbooleanDescription
curl
curl --location --request PUT 'https://sandbox.crbcos.com/core/v1/cm/customers/928668cc-27ca-4388-9754-b3ad0092be45/profile' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"regO": false,
"politicallyExposedPerson": false,
"taxIdType": "Ssn",
"taxId": "874339497",
"birthDate": "1972-11-08",
"riskRating": "Low"
}'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'PUT',
'hostname': 'sandbox.crbcos.com',
'path': '/core/v1/cm/customers/928668cc-27ca-4388-9754-b3ad0092be45/profile',
'headers': {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
var postData = "{\r\n \"regO\": false,\r\n \"politicallyExposedPerson\": false,\r\n \"taxIdType\": \"Ssn\",\r\n \"taxId\": \"874339497\",\r\n \"birthDate\": \"1972-11-08\",\r\n \"riskRating\": \"Low\",\r\n}\r\n";
req.write(postData);
req.end();python
import http.client
import json
conn = http.client.HTTPSConnection("sandbox.crbcos.com")
payload = "{\r\n \"regO\": false,\r\n \"politicallyExposedPerson\": false,\r\n \"taxIdType\": \"Ssn\",\r\n \"taxId\": \"874339497\",\r\n \"birthDate\": \"1972-11-08\",\r\n \"riskRating\": \"Low\",\r\n}\r\n"
headers = {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
}
conn.request("PUT", "/core/v1/cm/customers/928668cc-27ca-4388-9754-b3ad0092be45/profile", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/core/v1/cm/customers/928668cc-27ca-4388-9754-b3ad0092be45/profile")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = "{\r\n \"regO\": false,\r\n \"politicallyExposedPerson\": false,\r\n \"taxIdType\": \"Ssn\",\r\n \"taxId\": \"874339497\",\r\n \"birthDate\": \"1972-11-08\",\r\n \"riskRating\": \"Low\",\r\n}"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/core/v1/cm/customers/928668cc-27ca-4388-9754-b3ad0092be45/profile"
method := "PUT"
payload := strings.NewReader(`{
"regO": false,
"politicallyExposedPerson": false,
"taxIdType": "Ssn",
"taxId": "874339497",
"birthDate": "1972-11-08",
"riskRating": "Low"
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"regO": false,
"politicallyExposedPerson": false,
"enableBackupWithholding": false,
"taxIdType": "Ssn",
"taxId": "874339497",
"birthDate": "1972-11-08",
"riskRating": "Low"
}